<?php
$main_news_query = new WP_Query( $main_news_args );
if ( $main_news_query->have_posts() ) {
	$section_title = get_theme_mod( 'millennium_news_main_banner_title', __( 'Main Banner', 'millennium-news' ) );
	$button_label  = get_theme_mod( 'millennium_news_main_banner_button_label', __( 'View All', 'millennium-news' ) );
	$button_link   = get_theme_mod( 'millennium_news_main_banner_button_link' );
	$button_link   = ! empty( $button_link ) ? $button_link : '#';
	?>
	<div class="banner-main-part">
		<?php if ( ! empty( $section_title || $button_label ) ) : ?>
			<div class="title-heading">
				<?php if ( ! empty( $section_title ) ) : ?>
					<h3 class="section-title"><?php echo esc_html( $section_title ); ?></h3>
				<?php endif; ?>
				<?php if ( ! empty( $button_label ) ) : ?>
					<a href="<?php echo esc_url( $button_link ); ?>" class="view-all"><?php echo esc_html( $button_label ); ?></a>
				<?php endif; ?>
			</div>
		<?php endif; ?>
		<div class="banner-main-wrap banner-slider slick-button">
			<?php
			$i = 1;
			while ( $main_news_query->have_posts() ) :
				$main_news_query->the_post();
				$class = $i === 1 ? 'grid-layout' : 'list-layout';
				?>
				<div class="blog-post-container <?php echo esc_attr( $class ); ?>">
					<div class="blog-post-inner">
						<?php if ( has_post_thumbnail() ) { ?>
							<div class="blog-post-image">
								<a href="<?php the_permalink(); ?>"><?php the_post_thumbnail( 'full' ); ?></a>
							</div>
						<?php } ?>
						<div class="blog-post-detail">
							<?php millennium_news_categories_list(); ?>
							<h2 class="entry-title">
								<a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
							</h2>
							<?php if ( $i === 1 ) { ?>
								<p class="post-excerpt">
									<?php echo wp_kses_post( wp_trim_words( get_the_content(), 35 ) ); ?>
								</p>
							<?php } ?>
							<div class="post-meta">
								<?php
								millennium_news_posted_by();
								millennium_news_posted_on();
								?>
							</div>
						</div>
					</div>
				</div>
				<?php
				$i++;
			endwhile;
			wp_reset_postdata();
			?>
		</div>
	</div>
	<?php
}
